POV-Ray : Newsgroups : povray.unofficial.patches : mesh data extraction patch : Re: mesh data extraction patch Server Time
15 Jun 2021 07:56:28 EDT (-0400)
  Re: mesh data extraction patch  
From: Le Forgeron
Date: 7 Mar 2016 03:20:17
Message: <56dd39c1$1@news.povray.org>
Le 06/03/2016 23:31, clipka a écrit :
> Am 06.03.2016 um 21:16 schrieb Jaime Vives Piqueres:
>> El 06/03/16 a las 11:20, Le_Forgeron escribió:
>>> It was done in megapov, and it's currently also in hg-povray.
>>
>>    Cannot compile hg-povray... I get a bunch of boost errors (undefined
>> references): are the libraries requirements different from povray
>> master? I'm on Ubuntu 14.04, and can compile povray master and uberpov
>> without problems.
>
> Boost 1.50 broke some stuff, and support has only been added quite a
> while after the official 3.7.0 release; hg-povray might still be based
> on a version of POV-Ray that didn't support boost 1.50 or later.
>

Did you put on configure line LIBS="-lboost_system -lboost_thread" ?

What is the version of boost on ubuntu 14.04 ?


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.